:host {
    ion-content {
        --background: white;
    }
}

.utilisateur {
    float: right;
    margin-right: 5vw;
    margin-top: 3vw;
    ion-label {
        color: white;
    }
}

ion-badge {
    margin-left: 300px;
}

.garantieTitle {
    text-align: center;
    color: coral;
    text-decoration-line: overline;
    font-weight: 900;
}

//debut custom ion menu
ion-menu-button {
    width: 35vw;
    height: 15vw;
    --border-radius: 15%;
    --color: white;
    margin-top: -60px;
    --background: var(--ion-color-primary);
    // --background-width : 100px ;
    ion-icon {
        font-size: 18vw;
        margin-left: 24%;
        margin-top: -5%;
    }
}

.fabMenu {
    margin-top: 80px;
    margin-left: -10%;
}

//fin custom ion menun
.icone {
    border-radius: 50%;
    // width : 2em ;
    width: 30px;
    display: block;
    margin-left: auto;
    margin-right: auto
}

.container {
    background-color: var(--ion-color-tertiary);
    width: 95%;
    padding: 10px;
    // padding-top: 40px;
    border-radius: 10px;
    position: relative;
    top: -2px;
    display: block;
    margin: 0 auto;
    overflow: scroll;
    margin-top: 2px;
    margin-bottom: 10px;
}

.liste {
    //nouveau ajout
    margin-top: -9vw;
    width: 100%;
    background-color: transparent !important;
    ion-checkbox {
        background-color: white !important;
        border-radius: 0% !important;
        --background-checked: white !important;
        --checkmark-color: var(--ion-color-secondary) !important;
        --border-style: double;
        --border-color: var(--ion-color-secondary) !important;
        --border-color-checked: var(--ion-color-secondary) !important;
        //transform:  scaleY(3) ;
        //nouveau ajout
        margin-right: 9px;
        margin-left: 2px;
    }
    ion-item {
        height: 12vw;
        //nouveau ajout
        margin-left: -16px;
        ion-grid {
            width: 100%;
            ion-row {
                small {
                    width: 100%;
                }
            }
        }
    }
    ion-button {
        // ion-icon {
        //     margin-left: -24px;
        //     margin-right: -21px;
        // }
        margin-left: -24px;
        margin-right: -21px;
    }
}

.labelTitreInput,
ion-datetime {
    background-color: white;
    color: black;
    margin-left: auto;
    margin-right: auto;
    border-style: solid;
    // border-color: var(--ion-color-secondary) ;
    color: var(--ion-color-secondary);
    // --placeholder-color: var(--ion-color-secondary);
    // --placeholder-opacity: 1;
    // background-color: white;
    border-radius: 10px;
    max-width: 65w;
    // padding: 2px 5px;
    // font-size: 14px;
}

ion-input.labelTitreInput {
    // width: 114px;
    // font-size: 10px;
    // margin-left: -15px;
    // height: 30px;
    // //padding: 7px 0px 9px 0px !important;
    // padding-left: 6px !important;
    // padding-right: 0px !important;
    // padding-bottom: 12px !important;
    // width: 118px;
    // font-size: 10px;
    // margin-left: -13px;
    height: 31px;
    // padding-left: 9px !important;
    // padding-right: 0px !important;
    // padding-bottom: 12px !important;
}

.labelTitreInput2,
ion-datetime {
    background-color: white;
    color: black;
    margin-left: auto;
    margin-right: auto;
    border-style: solid;
    // border-color: var(--ion-color-secondary) ;
    color: var(--ion-color-secondary);
    // --placeholder-color: var(--ion-color-secondary);
    // --placeholder-opacity: 1;
    // background-color: white;
    border-radius: 10px;
    max-width: 65w;
    // padding: 2px 5px;
    // font-size: 14px;
}

ion-input.labelTitreInput2 {
    // width: 109px;
    // font-size: 10px;
    // margin-left: -35px;
    // height: 31px;
    // padding-left: 1px !important;
    // padding-right: 0px !important;
    // padding-bottom: 12px !important;
    // width: 114px;
    // font-size: 10px;
    // margin-left: -36px;
    height: 31px;
    // padding-left: 6.5px !important;
    // padding-right: 0px !important;
    // padding-bottom: 13.8px !important;
}

ion-select.labelTitreInput {
    width: 90px;
    padding: 6px;
    margin-left: -11px;
    height: 31px;
}

ion-select {
    --placeholder-opacity: 1.33 !important;
    --placeholder-color: #000091 !important;
    color: var(--ion-color-secondary);
}

.dateErreur {
    border-style: double;
    border-color: red;
}

.dates {
    width: 116%;
    margin-left: auto;
    margin-right: auto;
    // ion-label {
    // }
    .labelTitreDuree {
        // margin-left: -189px;
        // margin-right: auto;
        font-size: small;
        padding: 18px;
        color: #000091;
    }
    .labelTitreEffet {
        font-size: small;
        padding: 7px;
        color: #000091;
    }
    .labelTitreCloture {
        font-size: small;
        margin-left: -22px;
        color: #000091;
    }
}

.DateContainer {
    ion-list {
        background-color: #FCDBCF;
        ion-label {
            font-size: small;
            color: coral;
        }
        ion-input {
            color: var(--ion-color-secondary);
            --placeholder-color: var(--ion-color-secondary);
            --placeholder-opacity: 1;
            //background-color: #FCDBCF;
            background-color: white;
        }
    }
}

//ion-content.largeEcran
@media screen and (min-width: 500px) {
    ion-item {
        height: 10vw;
    }
    ion-label {
        font-size: 15px;
    }
    .labelTitre {
        font-size: 20px;
        text-overflow: ellipsis !important;
    }
    .labelTitreInput {
        font-size: 16px;
        width: 250px;
    }
    .labelTitreInput {
        font-size: 16px;
        border-style: double;
    }
    ion-input.labelTitreInput {
        // width: 118px;
        // font-size: 10px;
        // margin-left: -13px;
        height: 31px;
        // padding-left: 9px !important;
        // padding-right: 0px !important;
        // padding-bottom: 12px !important;
    }
    form {
        margin-top: 110px;
    }
    ion-input {
        width: 20vw;
    }
    .labelTitreInput2 {
        font-size: 16px;
        width: 250px;
    }
    .labelTitreInput2 {
        font-size: 16px;
        border-style: double;
    }
    ion-input.labelTitreInput2 {
        // width: 114px;
        // font-size: 10px;
        // margin-left: -36px;
        height: 31px;
        // padding-left: 6.5px !important;
        // padding-right: 0px !important;
        // padding-bottom: 13.8px !important;
    }
}

// ion-content.smallEcran,
@media screen and (max-width: 499px) {
    .labelTitreInput {
        font-size: 12px;
    }
    .labelTitreInput2 {
        font-size: 12px;
    }
}

@media (min-width: 360px) {
    ion-input.labelTitreInput2 {
        // width: 114px;
        // font-size: 10px;
        // margin-left: -36px;
        height: 31px;
        // padding-left: 6px !important;
        // padding-right: 0px !important;
        // padding-bottom: 12px !important;
    }
}

// @media (width: 768px) and (height: 1024px) {
//     ion-label.labelTitre {
//         margin-left: -205px !important;
//         margin-right: auto !important;
//         font-size: small !important;
//     }
// }
ion-list-header {
    display: block;
    text-align: center;
}

[readonly] {
    pointer-events: none;
}

ion-button.simuler {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 80%;
}

.cachefin {
    display: none;
}

.labelTitre {
    color: var(--ion-color-secondary);
    text-overflow: ellipsis !important;
    //nouveau ajout
    margin-left: -5px;
    font-size: 11px;
    width: auto;
}

.login {
    max-width: none;
    width: 30px;
}

.add {
    color: var(--ion-color-secondary)
}

ion-input {
    color: var(--ion-color-secondary);
    // width : 100% ;
    --placeholder-color: var(--ion-color-secondary);
    --placeholder-opacity: 1;
    background-color: white;
    border-radius: 10px;
    padding: 2px 2px !important;
    font-size: 14px;
}

.contentBlock {
    justify-content: space-between;
    align-items: center;
    align-self: center;
    width: 95%;
    border-radius: 10px;
    height: 30px;
    display: flex;
    padding: 20px;
    margin: auto;
    margin-top: 8px;
    margin-bottom: 8px;
    img {
        max-width: none;
        width: 30px;
    }
    p {
        font-size: 14px;
        color: var(--ion-color-secondary);
        ion-label {
            color: var(--ion-color-secondary)
        }
        ion-icon {
            color: var(--ion-color-secondary)
        }
    }
    .fileButton:hover {
        cursor: pointer;
        transform: scale(1.1);
        ion-label {
            color: var(--ion-color-primary)
        }
    }
    .buttonOperation {
        margin: auto;
    }
}

.titreSection {
    background-color: var(--ion-color-tertiary);
}

.listPackOpen {
    animation: bounceInDown;
    animation-duration: 0.5s;
}

.listPackClose {
    animation: bounce;
    animation-duration: 0.5s;
}

//For Ipad only
@media all and (device-width: 768px) and (device-height: 1024px) and (orientation:portrait) {
    .ipad-portrait {
        color: red;
    }
    ion-badge {
        margin-left: 653px;
    }
    .dates {
        width: 116%;
        margin-left: auto;
        margin-right: auto;
        .labelTitreDuree {
            // margin-left: -189px;
            // margin-right: auto;
            font-size: small;
            padding: 18px;
            color: #000091;
        }
        .labelTitreEffet {
            font-size: small;
            padding: 7px;
            color: #000091;
        }
        .labelTitreCloture {
            font-size: small;
            margin-left: -6px;
            color: #000091;
        }
    }
    .container {
        top: -102px;
    }
    .liste {
        //nouveau ajout
        margin-top: -2vw;
        width: 100%;
        background-color: transparent !important;
        ion-checkbox {
            background-color: white !important;
            border-radius: 0% !important;
            --background-checked: white !important;
            --checkmark-color: var(--ion-color-secondary) !important;
            --border-style: double;
            --border-color: var(--ion-color-secondary) !important;
            --border-color-checked: var(--ion-color-secondary) !important;
            //transform:  scaleY(3) ;
            //nouveau ajout
            margin-right: 9px;
            margin-left: 2px;
        }
        ion-item {
            height: 12vw;
            //nouveau ajout
            margin-left: -16px;
            ion-grid {
                width: 100%;
                ion-row {
                    small {
                        width: 100%;
                    }
                }
            }
        }
    }
    ion-input.labelTitreInput {
        // width: 118px;
        // font-size: 10px;
        // margin-left: -13px;
        height: 31px;
        // padding-left: 9px !important;
        // padding-right: 0px !important;
        // padding-bottom: 12px !important;
    }
    ion-input.labelTitreInput2 {
        // width: 114px;
        // font-size: 10px;
        // margin-left: -36px;
        height: 31px;
        // padding-left: 6.5px !important;
        // padding-right: 0px !important;
        // padding-bottom: 13.8px !important;
    }
    /* your css rules for ipad portrait */
}

@media all and (device-width: 1024px) and (device-height: 768px) and (orientation:landscape) {
    .ipad-landscape {
        color: blue;
    }
    .dates {
        width: 116%;
        margin-left: auto;
        margin-right: auto;
        .labelTitreDuree {
            // margin-left: -189px;
            // margin-right: auto;
            font-size: small;
            padding: 18px;
            color: #000091;
        }
        .labelTitreEffet {
            font-size: small;
            padding: 7px;
            color: #000091;
        }
        .labelTitreCloture {
            font-size: small;
            margin-left: -6px;
            color: #000091;
        }
    }
    .container {
        top: -102px;
    }
    .liste {
        //nouveau ajout
        margin-top: -2vw;
        width: 100%;
        background-color: transparent !important;
        ion-checkbox {
            background-color: white !important;
            border-radius: 0% !important;
            --background-checked: white !important;
            --checkmark-color: var(--ion-color-secondary) !important;
            --border-style: double;
            --border-color: var(--ion-color-secondary) !important;
            --border-color-checked: var(--ion-color-secondary) !important;
            //transform:  scaleY(3) ;
            //nouveau ajout
            margin-right: 9px;
            margin-left: 2px;
        }
        ion-item {
            height: 12vw;
            //nouveau ajout
            margin-left: -16px;
            ion-grid {
                width: 100%;
                ion-row {
                    small {
                        width: 100%;
                    }
                }
            }
        }
    }
    ion-input.labelTitreInput {
        // width: 118px;
        // font-size: 10px;
        // margin-left: -13px;
        height: 31px;
        // padding-left: 9px !important;
        // padding-right: 0px !important;
        // padding-bottom: 12px !important;
    }
    ion-input.labelTitreInput2 {
        // width: 114px;
        // font-size: 10px;
        // margin-left: -36px;
        height: 31px;
        // padding-left: 6.5px !important;
        // padding-right: 0px !important;
        // padding-bottom: 13.8px !important;
    }
    /* your css rules for ipad landscape */
}

//End

/* ----------- iPad Pro ----------- */

@media all and (device-width: 1024px) and (device-height: 1366px) and (orientation:portrait) {
    .ipad-portrait {
        color: red;
    }
    ion-badge {
        margin-left: 653px;
    }
    .dates {
        width: 116%;
        margin-left: auto;
        margin-right: auto;
        .labelTitreDuree {
            // margin-left: -189px;
            // margin-right: auto;
            font-size: small;
            padding: 18px;
            color: #000091;
        }
        .labelTitreEffet {
            font-size: small;
            padding: 7px;
            color: #000091;
        }
        .labelTitreCloture {
            font-size: small;
            margin-left: -6px;
            color: #000091;
        }
    }
    .container {
        top: -102px;
    }
    .liste {
        //nouveau ajout
        margin-top: 3vw;
        width: 100%;
        background-color: transparent !important;
        ion-checkbox {
            background-color: white !important;
            border-radius: 0% !important;
            --background-checked: white !important;
            --checkmark-color: var(--ion-color-secondary) !important;
            --border-style: double;
            --border-color: var(--ion-color-secondary) !important;
            --border-color-checked: var(--ion-color-secondary) !important;
            //transform:  scaleY(3) ;
            //nouveau ajout
            margin-right: 9px;
            margin-left: 2px;
        }
        ion-item {
            height: 12vw;
            //nouveau ajout
            margin-left: -16px;
            ion-grid {
                width: 100%;
                ion-row {
                    small {
                        width: 100%;
                    }
                }
            }
        }
    }
    ion-input.labelTitreInput {
        // width: 118px;
        // font-size: 10px;
        // margin-left: -13px;
        height: 31px;
        // padding-left: 9px !important;
        // padding-right: 0px !important;
        // padding-bottom: 12px !important;
    }
    ion-input.labelTitreInput2 {
        // width: 114px;
        // font-size: 10px;
        // margin-left: -36px;
        height: 31px;
        // padding-left: 6.5px !important;
        // padding-right: 0px !important;
        // padding-bottom: 13.8px !important;
    }
    /* your css rules for ipad portrait */
}

@media all and (device-width: 1024px) and (device-height: 1366px) and (orientation:landscape) {
    .ipad-landscape {
        color: blue;
    }
    .dates {
        width: 116%;
        margin-left: auto;
        margin-right: auto;
        .labelTitreDuree {
            // margin-left: -189px;
            // margin-right: auto;
            font-size: small;
            padding: 18px;
            color: #000091;
        }
        .labelTitreEffet {
            font-size: small;
            padding: 7px;
            color: #000091;
        }
        .labelTitreCloture {
            font-size: small;
            margin-left: -6px;
            color: #000091;
        }
    }
    .container {
        top: -102px;
    }
    .liste {
        //nouveau ajout
        margin-top: 3vw;
        width: 100%;
        background-color: transparent !important;
        ion-checkbox {
            background-color: white !important;
            border-radius: 0% !important;
            --background-checked: white !important;
            --checkmark-color: var(--ion-color-secondary) !important;
            --border-style: double;
            --border-color: var(--ion-color-secondary) !important;
            --border-color-checked: var(--ion-color-secondary) !important;
            //transform:  scaleY(3) ;
            //nouveau ajout
            margin-right: 9px;
            margin-left: 2px;
        }
        ion-item {
            height: 12vw;
            //nouveau ajout
            margin-left: -16px;
            ion-grid {
                width: 100%;
                ion-row {
                    small {
                        width: 100%;
                    }
                }
            }
        }
    }
    ion-input.labelTitreInput {
        // width: 118px;
        // font-size: 10px;
        // margin-left: -13px;
        height: 31px;
        // padding-left: 9px !important;
        // padding-right: 0px !important;
        // padding-bottom: 12px !important;
    }
    ion-input.labelTitreInput2 {
        // width: 114px;
        // font-size: 10px;
        // margin-left: -36px;
        height: 31px;
        // padding-left: 6.5px !important;
        // padding-right: 0px !important;
        // padding-bottom: 13.8px !important;
    }
    /* your css rules for ipad landscape */
}


/* End */
